#include <iostream>
using namespace std;
int main ()
{
    int A, B, C, D, E, pr1, pr2, pr3, pr4, pr5, sum, chastno, ost, chast;
    cin >> A;
    cin >> B;
    cin >> C;
    cin >> D;
    cin >> E;
    pr1 = A * A;
    pr2 = B * B;
    pr3 = C * C;
    pr4 = D * D;
    pr5 = E * E;
    sum = pr1 + pr2 + pr3 + pr4;
    if (sum <= pr5)
    {
        cout << 1;
    }
    if (sum > pr5)
    {
        chastno=sum/pr5;
        cout << chastno;
    if (ost=sum%pr5)
    {
        chastno++;
        cout << chastno;
    }
    }
return 0;

}